### File

`packages/eui-dynamic-forms-ui/src/lib/shared/services/dyn-config.service.ts`

### Index

###### Properties
Public mapping
###### Methods
getComponent getComponentInputModel getComponents getValidationFunc getValidations

### Constructor

`constructor(mapping: UxDynMappingConfig)`
Parameters :
Name | Type | Optional
mapping | `UxDynMappingConfig` | No

### Methods

getComponent
`getComponent(id: string)`
Parameters :
Name | Type | Optional
id | `string` | No
Returns : `any`

getComponentInputModel
`getComponentInputModel(id: string)`
Parameters :
Name | Type | Optional
id | `string` | No
Returns : `{ schema: any; entry: any; }`

getComponents
`getComponents()`
Returns : `ComponentConfigList`

getValidationFunc
`getValidationFunc(validationId: string)`
Parameters :
Name | Type | Optional
validationId | `string` | No
Returns : `any`

getValidations
`getValidations()`
Returns : `ValidationConfigList`

### Properties

Public mapping
Type : `UxDynMappingConfig`
Decorators : `@Inject(DYN_MAP_FINAL)`

# results matching ""

# No results matching ""